package com.pj.project.re_mini_user_person_filing;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: re_mini_user_person_filing -- 微信端用户与人员备案中间表
 * @author qzyReal 
 */
@Data
@Accessors(chain = true)
@TableName(ReMiniUserPersonFiling.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class ReMiniUserPersonFiling extends Model<ReMiniUserPersonFiling> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "re_mini_user_person_filing";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "re-mini-user-person-filing";	


	// ---------- 表中字段 ----------
	/**
	 *  
	 */
	@TableId(type = IdType.AUTO)
	private Long id;

	/**
	 *  
	 */
	private Long miniUserId;

	/**
	 *  
	 */
	private Integer filingPersonId;





	


}
