package com.pj.project.tb_init_permission;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_init_permission -- 初始化权限
 * @author qzyReal 
 */
@Data
@Accessors(chain = true)
@TableName(TbInitPermission.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbInitPermission extends Model<TbInitPermission> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_init_permission";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-init-permission";	


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 权限码 
	 */
	private String code;	





	


}
